Skip to content

Create event summaries

Request

Create event summaries for a user. Event summaries are used to track the number of times an event has occurred, the first time it occurred and the last time it occurred.

Identify the user with one of id, user_id or email. If more than one is sent, id is used first, then user_id, then email.

Requires the write_events OAuth scope.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
Bodyapplication/json
Any of:

You can send a list of event summaries for a user. Each event summary should contain the event name, the time the event occurred, and the number of times the event occurred. The event name should be a past tense "verb-noun" combination, to improve readability, for example updated-plan.

user_idstring

Your identifier for the user.

Example:"314159"
idstring

The Intercom defined id of the user. Takes precedence over user_id and email.

Example:"63a0979a5eeebeaf28dd56ba"
emailstring

The user's email address. Only used when neither id nor user_id is supplied.

Example:"frodo.baggins@example.com"
event_summariesArray of objectsrequired

A list of event summaries for the user. Each event summary should contain the event name, the time the event occurred, and the number of times the event occurred. The event name should be a past tense 'verb-noun' combination, to improve readability, for example updated-plan.

curl -i -X POST \
  https://api.intercom.io/events/summaries \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.17' \
  -d '{
    "user_id": "314159",
    "id": "63a0979a5eeebeaf28dd56ba",
    "email": "frodo.baggins@example.com",
    "event_summaries": [
      {
        "event_name": "invited-friend",
        "count": 1,
        "first": 1671028894,
        "last": 1671028894
      }
    ]
  }'

Responses

successful

Response
No content